Bug 16086 - .NET tasks always echo command
Summary: .NET tasks always echo command
Status: RESOLVED FIXED
Alias: None
Product: Ant
Classification: Unclassified
Component: Optional Tasks (show other bugs)
Version: nightly
Hardware: PC All
: P3 enhancement (vote)
Target Milestone: ---
Assignee: Ant Notifications List
URL:
Keywords: RFC
Depends on:
Blocks:
 
Reported: 2003-01-15 00:15 UTC by Mike Schilling
Modified: 2012-04-27 15:29 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Schilling 2003-01-15 00:15:54 UTC
The .NET tasks (CSC and ILASM, at least) always echo the command they are about
to execute.  This can make ANT output difficult to read, particularly when many
files are being compiled.  This echo should either be eliminated or made
optional (e.g. with a verbose="true/false" attribute)
Comment 1 Conor MacNeill 2003-01-20 04:01:31 UTC
Marking as enhancement
Comment 2 Steve Loughran 2003-01-27 19:09:56 UTC
CSC and WSDL are fixed btw, just ILASM to do.
Comment 3 Steve Loughran 2005-02-04 23:22:35 UTC
fixed this, even reduced the "compiling 27 files" message to verbose level.
Comment 4 Mark Thomas 2012-04-27 15:29:18 UTC
SPAM removal